{# Tabbed

Tab is a list of "tab" buttons each with his content

parameters:
  id: give a unique ID to every widget in the page
  style: additional css style rules for this ID
  class: set additional classes for the widget
  tabs_style: class style for tabs
  tabs: list fo tabs
    label: text of tab button
    active: True if the content of tab should be opened at start
    text: text for content of tab
-#}
{%include "include/widget_style.html" -%}
<div id="{{widget.id}}" class="{{widget.class}}">
  <ul class="nav {{widget.tabs_style or 'nav-tabs'}}" role="tablist">
    {% for i,item in enum_list(widget.tabs) -%}
    <li class="nav-item" role="presentation">
      <button class="nav-link {{' active' if item.active else ''}}" id="nav-{{widget.id}}{{i}}-tab" data-bs-toggle="tab"
        data-bs-target="#nav-{{widget.id}}{{i}}" type="button" role="tab" aria-controls="{{item.label}}"
        aria-selected="{{'true' if item.active else 'false'}}">{{item.label}}</button>
    </li>
    {% endfor -%}
  </ul>
  <div class="tab-content" id="nav-{{widget.id}}-content">
    {% for i,item in enum_list(widget.tabs) -%}
    <div class="tab-pane fade{{' show active' if item.active else ''}}" id="nav-{{widget.id}}{{i}}" role="tabpanel"
      aria-labelledby="nav-{{widget.id}}{{i}}-tab">{{item.text}}</div>
    {% endfor -%}
  </div>
</div>